Subject: Re: bug#21385: 24.5; Emacs Lisp Manual, section 17.3 "Debugging Invalid Lisp Syntax": wording can be improved

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 01 Aug 2019 21:40:51 +0200

phs <[email-masked]> writes:

> I needed help with finding the location of a spurious closing parenthesis and
> the manual was very helpful.
>
> Here I'm talking about sections 17.3.* of the Emacs Lisp Manual at
> http://www.gnu.org/software/emacs/manual/
>
> However, I think these sections would be better/clearer if (at some place)
> they explicitly mentioned by name the command `backward-up-list' invoked
> via C-M-u rather than just give cryptic key sequences. Also, this could
> perhaps support a link to the appropriate section (curr. 26.4.2) of the Emacs
> manual for more details on the function.

(I'm going through old bug reports that have unfortunately not gotten
any responses.)

Hm...  Well, reading that section and the following nodes ("Excess
Open"), it seems like it's written in a tutorial-ish fashion.  I think
perhaps that dropping in that level of low-level details would make it
less readable.  So I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no